Bug 451538 - Kirigami.Icon perhaps inappropriately assumes that icon names with the -symbolic suffix are monochrome
Summary: Kirigami.Icon perhaps inappropriately assumes that icon names with the -symbo...
Status: CONFIRMED
Alias: None
Product: frameworks-kirigami
Classification: Unclassified
Component: general (show other bugs)
Version: 5.92.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: Not decided
Assignee: Marco Martin
URL:
Keywords:
: 453914 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-03-15 17:34 UTC by Martin Fritz
Modified: 2022-05-17 16:47 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
the sidebar in a small window (32.54 KB, image/png)
2022-03-15 17:34 UTC, Martin Fritz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Fritz 2022-03-15 17:34:39 UTC
Created attachment 147516 [details]
the sidebar in a small window

SUMMARY

STEPS TO REPRODUCE
1.  use any non-breeze icon theme and enable sidebar mode in systemsettings

OBSERVED RESULT
all arrow icons are painted black, including the "back button"

EXPECTED RESULT
show icon themes arrow icons unchanged or "normally

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 5.16.14
(available in About System)
KDE Plasma Version:  5.24.3
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.3 

ADDITIONAL INFORMATION
I've attached a screenshot, for reference
Comment 1 Nate Graham 2022-03-25 17:21:40 UTC
We're using a custom contentItem for this ToolButton, and it uses a Kirigami.Icon for the icon. The issue is that Kirigami.Icon assumes that an icon ending with -symbolic or -symbolic-rtl is a monochrome icon that needs to be recolored and made monochrome.

This kind of needs to be discussed and fixed in Kirigami IMO, because that doesn't seem like it's the safest assumption. There is in fact an open merge request relating to this (https://invent.kde.org/frameworks/kirigami/-/merge_requests/511) but in its current form, it actually makes the situation worse for me, not better. Hopefully that'll get fixed.

In the meantime, I can change the icon name to omit -symbolic.
Comment 2 Nate Graham 2022-03-28 16:19:56 UTC
Git commit b579a5d94a3afbd6f85a95cf368a29e8c96c2b92 by Nate Graham.
Committed on 26/03/2022 at 15:01.
Pushed by ngraham into branch 'Plasma/5.24'.

Don't let back arrow be re-colored to monochrome

The back button uses a custom content item with the icon being provided
by Kirigami.Icon. Unfortunately, Kirigami.Icon currently suffers from an
issue that causes colored icons that end with "-symbolic" to be forced
to monochrome. See https://bugs.kde.org/show_bug.cgi?id=451538.

There is an open merge request to fix that
(https://invent.kde.org/frameworks/kirigami/-/merge_requests/511), but
the fix is in Frameworks, which means it will only get to people who use
rolling release distros or whose packagers backport the fix.

This commit targeted at the Plasma/5.24 branch only is a local
workaround intended to alleviate the situation for LTS distro users who
are less likely to get the frameworks fix, once it's merged. The master
branch doesn't need the workaround since we can hope  that the
Frameworks fix will be merged before Plasma 5.25.

M  +6    -1    sidebar/package/contents/ui/SubCategoryPage.qml

https://invent.kde.org/plasma/systemsettings/commit/b579a5d94a3afbd6f85a95cf368a29e8c96c2b92
Comment 3 Bug Janitor Service 2022-05-17 11:35:25 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/systemsettings/-/merge_requests/132
Comment 4 Nate Graham 2022-05-17 16:47:52 UTC
*** Bug 453914 has been marked as a duplicate of this bug. ***